/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.scriptcase.db.dao.AtuInputSetDao;
import net.northking.cctp.scriptcase.db.entity.AtuInputSet;
import net.northking.cctp.scriptcase.db.service.AtuInputSetService;
import net.northking.cctp.scriptcase.dto.inputSet.AtuInputDataSetDto;
import net.northking.cctp.scriptcase.dto.inputSet.AtuInputDataSetResultDto;
import net.northking.cctp.scriptcase.dto.inputSet.AtuPlanInputQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 输入项数据集
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-31 11:18:16  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuInputSetServiceImpl")
public class AtuInputSetServiceImpl extends PaginationService<AtuInputSet> implements AtuInputSetService
{
private static final Logger logger = LoggerFactory.getLogger(AtuInputSetServiceImpl.class);

  private final AtuInputSetDao atuInputSetDao;

  public AtuInputSetServiceImpl(AtuInputSetDao atuInputSetDao) {this.atuInputSetDao = atuInputSetDao;}

  @Override
  public BasicDao<AtuInputSet> getDao() {return atuInputSetDao;}

  @Override
  public AtuInputSet createEntity() { return new AtuInputSet();}

  @Override
  protected void beforeInsert(AtuInputSet atuInputSet) {

  }

  @Override
  protected void beforeUpdate(AtuInputSet atuInputSet) {

  }

  @Override
  public List<AtuInputSet> queryInputByEnvIdAndScriptId(AtuPlanInputQueryDto queryDto) {
    return this.atuInputSetDao.queryInputByEnvIdAndScriptId(queryDto);
  }

  @Override
  public void deleteDataSetLink(AtuInputDataSetDto dataSetDto) {
    this.atuInputSetDao.deleteDataSetLink(dataSetDto);
  }

  @Override
  public void insertDataSetLink(List<AtuInputDataSetDto> insertBatch) {
    this.atuInputSetDao.insertDataSetLink(insertBatch);
  }

  @Override
  public Integer selectOneDataSetLink(AtuInputDataSetDto dataSetDto) {
    return this.atuInputSetDao.selectOneDataSetLink(dataSetDto);
  }

  @Override
  public List<AtuInputDataSetResultDto> selectDataSetLink(List<String> list) {
    return this.atuInputSetDao.selectDataSetLink(list);
  }


// ----      The End by Generator     ----//




}

